# QPEG initialization file
#
# You may modify this file with any standard ASCII text editor.
# Comments are preceded by '#' (you can also use ';' or '%').
# Options are not case sensitive.  Spaces are ignored.

# Switch "fast preview" initially on/off ('!' key within QPEG).
Preview=On

# Switch "file information" initially on/off ('*' key within QPEG).
File_Info=On

# Default directory at startup.  Specify '.' for current directory.
Default_Directory=.

# Check if the startup directory really exists.  It is highly recommended
# to keep this setting 'on', it's only intended for some brain-dead
# operating systems which are not really DOS compatible.
Directory_Validate=On

# Only files matching the following filter are displayed in the
# directory listing (separate multiple filters by comma ',').
# The default filter is '*.*', i.e. all files are displayed.
# For example '*.JPG,*.TGA' would display JPEG and Targa files only.
File_Filter=*.*

# Exclude the following files from the directory listing (by default none).
# Multiple entries are separated by commas.
File_Exclude=*.IDX,*.256,DESCRIPT.ION

# Sort order of the directory listing.  Possible sort keys:
#    None : don't sort
#    Dir  : display directories first
#    Name : sort by name (including extension), A first, Z last
#    Ext  : sort by extension only, A first, Z last
#    Size : sort by file size (size of directories is 0), smallest first
#    Date : sort by file date and time, oldest first
# Each key can be followed by '-' (minus sign) which reverses the order,
# e.g. 'Dir-' displays direcories last, 'Size-' displays the biggest file
# first.  Multiple keys (up to five) are separated by ',' (comma).
# More examples:
#    'Dir,Name'   : directories first, then sort by names (default)
#    'Ext,Name'   : sort by extensions, files with the same extension are
#                   sorted by names
#    'Dir-,Date-' : directories last, sort by date (newest file first).
Sort_Order=Dir,Name

# Use 16 or 256 color mode for user interface (directory listing).
# Only switch on if you are sure that the 640x480x256 mode is working
# correctly with QPEG.
Interface_256_Colors=Off

# QPEG automatically creates and updates hidden description files
# (DESCRIPT.ION, compatible with 4DOS/NDOS) to store application specific
# data, thus speeding up the process of getting file information.
# If you don't like that, switch this off.  Of course you will still
# be able to create and edit file descriptions (Alt-E).
# `On' is recommended.
Create_Descriptions=On

# If your mouse driver is not Microsoft compatible, switch this off.
# That will also disable Follow_Mouse and Pan_Mouse.
Use_Mouse=On

# The following lines define the functions of the mouse buttons.
# Each mouse button corresponds to a key on your keyboard.
# These three lines are for the menu/directory screen:
Menu_Mouse_Button_Left  =Cursor+Enter   # view image
Menu_Mouse_Button_Middle=Shift+Enter    # view tagged files
Menu_Mouse_Button_Right =Cursor+Space   # tag/untag image
# These three lines are for the image display screen:
View_Mouse_Button_Left  =Enter          # view next image
View_Mouse_Button_Middle=Esc            # stop display / return to menu
View_Mouse_Button_Right =Space          # tag/untag image and view next one

# If this option is on, the file cursor (bar) will follow the mouse cursor.
# You can still use the cursor keys.  The bar will NOT follow the mouse
# if you place the mouse pointer at the top of the screen.
Follow_Mouse=Off

# You can pan across the image by moving your mouse if this option is on.
Pan_Mouse=On

# If this is on, the top of the screen will be updated immediately during
# panning, the bottom part will be updated when panning is stopped.
# If it's off, the whole screen is updated at every panning step, which
# may look jerky (depending on the speed of your machine and the
# resolution).
Pan_Immediately=Off

# The step size for panning.  A plain number specifies the amount of
# pixels to pan across the image each time a cursor key is pressed.
# A number followed by the letter 'P' (percent) specifies the step size
# depending on the current screen resolution.
# Does not affect panning by mouse.
Pan_Step_X=3p   # horizontal step size:  3 percent of screen width
Pan_Step_Y=3p   # vertical step size:  3 percent of screen height

# On: View image while it's being loaded
# Off: view image when loading is complete.
View_While_Loading=On

# Display image information while it's being loaded:
#    None - don't display any information
#    Dir  - directory
#    Name - file name (without extension)
#    Ext  - file name extension
#    Size - file size (in bytes)
#    Type - image type
#    Dim  - image dimensions (Width x Height)
Image_Description=Name,Type,Dim

# Beep when the image decoding is completed or Esc hit while decoding.
Ready_Beep=On

# Beep when an error occured (file format error, I/O error, etc).
Error_Beep=On

# Beep when a warning occured (e.g. delete file).
Warn_Beep=On

# Display all images as greyscaled on/off ('$' key within QPEG).
Force_Grey=Off

# Height and colors of the default video mode ('+'/'-' keys within QPEG).
# For colors you can use '16', '256', '32K', '64K' and '16M'.
# If the desired mode is not available, QPEG chooses a mode which
# comes as close as possible.
Default_Mode_Height=480
Default_Mode_Colors=64k

# Shrink the image to fit to the screen if it's too large.
Fit_To_Screen=Off

# Use dithering for hicolor modes:
# on:  image quality is like truecolor, but takes 15% more time.
# off:  faster, but image quality is worse (not recommended).
Hicolor_Dither=On

# When truecolor images (e.g. JPEG, 24 bit Targa) are to be displayed in
# 256 color modes, QPEG can use one of these methods to reduce truecolor
# to 256 colors:
#  (A) use fixed palette (very fast, but quality isn't perfect)
#  (B) use precalculated palette (much better quality, slightly slower)
#  (C) calculate palette (same quality as (B), considerably slower)
# Note that (B) requires the existence of a precalculated palette
# (*.256 file), otherwise the palette has to be calculated in and
# extra pass (C) which isn't currently supported by QPEG (however,
# you can create *.256 files used by (B) with the TRUE2GIF utility).
# If this switch is on, (B) is selected, otherwise (A).
Hiquality_256_Colors=On

# Automatic video mode selection ('#' key within QPEG).
# on:  QPEG selects the mode automatically, depending on the image size
#      (it ignores the mode selected by the user).
# off: QPEG uses the mode which is currently selected by the user.
# ATTENTION:  If switched on, QPEG may use any of the modes which are
#             defined in the configuration file (QPEG.CFG).  So be sure
#             that all of those modes work with your video hardware!
#             You have to delete the modes that do not work.
Auto_Mode=Off

# Specify which modes (number of colors) QPEG should take into account
# when automatic mode selection is switched on.
# For truecolor images (e.g. color JPEGs, 24 bit Targa):
Auto_Mode_Truecolor=256,32K,64K,16M
# For hicolor images (e.g. 15bit Targas):
Auto_Mode_Hicolor=256,32K,64K
# For greyscaled images:
Auto_Mode_Grey=16,256
# For color images with up to 256 colors (e.g. 256 color GIFs):
Auto_Mode_256Color=256
# For images with up to 16 colors:
Auto_Mode_16Color=16,256

######
